Index: /t3lib/stddb/tbl_be.php
===================================================================
--- t3lib/stddb/tbl_be.php	(revision 2822)
+++ t3lib/stddb/tbl_be.php	(working copy)
@@ -25,7 +25,7 @@
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/
 /**
- * Contains the dynamic configuation of the fields in the core tables of TYPO3: be_users, be_groups and sys_filemounts
+ * Contains the dynamic configuation of the fields in the core tables of TYPO3: be_users, be_groups, sys_filemounts and sys_workspace
  *
  * $Id$
  * Revised for TYPO3 3.6 July/2003 by Kasper Skaarhoj
@@ -49,7 +49,7 @@
 	),
 	'columns' => Array (
 		'username' => Array (
-			'label' => 'Username:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_users.username',
 			'config' => Array (
 				'type' => 'input',
 				'size' => '20',
@@ -58,7 +58,7 @@
 			)
 		),
 		'password' => Array (
-			'label' => 'Password:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_users.password',
 			'config' => Array (
 				'type' => 'input',
 				'size' => '20',
@@ -67,7 +67,7 @@
 			)
 		),
 		'usergroup' => Array (
-			'label' => 'Group:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_users.usergroup',
 			'config' => Array (
 				'type' => 'select',
 				'foreign_table' => 'be_groups',
@@ -81,7 +81,7 @@
 					'_VERTICAL' => 1,
 					'edit' => Array(
 						'type' => 'popup',
-						'title' => 'Edit usergroup',
+						'title' => 'LLL:EXT:lang/locallang_tca.xml:be_users.usergroup_edit_title',
 						'script' => 'wizard_edit.php',
 						'popup_onlyOpenIfSelected' => 1,
 						'icon' => 'edit2.gif',
@@ -89,7 +89,7 @@
 					),
 					'add' => Array(
 						'type' => 'script',
-						'title' => 'Create new group',
+						'title' => 'LLL:EXT:lang/locallang_tca.xml:be_users.usergroup_add_title',
 						'icon' => 'add.gif',
 						'params' => Array(
 							'table'=>'be_groups',
@@ -100,7 +100,7 @@
 					),
 					'list' => Array(
 						'type' => 'script',
-						'title' => 'List groups',
+						'title' => 'LLL:EXT:lang/locallang_tca.xml:be_users.usergroup_list_title',
 						'icon' => 'list.gif',
 						'params' => Array(
 							'table'=>'be_groups',
@@ -112,7 +112,7 @@
 			)
 		),
 		'lockToDomain' => Array (
-			'label' => 'Lock to domain:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:lockToDomain',
 			'config' => Array (
 				'type' => 'input',
 				'size' => '20',
@@ -123,7 +123,7 @@
 			)
 		),
 		'db_mountpoints' => Array (
-			'label' => 'DB Mounts:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_users.db_mountpoints',
 			'config' => Array (
 				'type' => 'group',
 				'internal_type' => 'db',
@@ -135,7 +135,7 @@
 			)
 		),
 		'file_mountpoints' => Array (
-			'label' => 'File Mounts:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_users.file_mountpoints',
 			'config' => Array (
 				'type' => 'select',
 				'foreign_table' => 'sys_filemounts',
@@ -151,6 +151,7 @@
 					'edit' => Array(
 						'type' => 'popup',
 						'title' => 'Edit filemount',
+						'title' => 'LLL:EXT:lang/locallang_tca.xml:file_mountpoints_edit_title',
 						'script' => 'wizard_edit.php',
 						'icon' => 'edit2.gif',
 						'popup_onlyOpenIfSelected' => 1,
@@ -158,7 +159,7 @@
 					),
 					'add' => Array(
 						'type' => 'script',
-						'title' => 'Create new filemount',
+						'title' => 'LLL:EXT:lang/locallang_tca.xml:file_mountpoints_add_title',
 						'icon' => 'add.gif',
 						'params' => Array(
 							'table'=>'sys_filemounts',
@@ -169,7 +170,7 @@
 					),
 					'list' => Array(
 						'type' => 'script',
-						'title' => 'List filemounts',
+						'title' => 'LLL:EXT:lang/locallang_tca.xml:file_mountpoints_list_title',
 						'icon' => 'list.gif',
 						'params' => Array(
 							'table'=>'sys_filemounts',
@@ -181,7 +182,7 @@
 			)
 		),
 		'email' => Array (
-			'label' => 'Email:',
+			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.email',
 			'config' => Array (
 				'type' => 'input',
 				'size' => '20',
@@ -191,7 +192,7 @@
 			)
 		),
 		'realName' => Array (
-			'label' => 'Name:',
+			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.name',
 			'config' => Array (
 				'type' => 'input',
 				'size' => '20',
@@ -200,63 +201,63 @@
 			)
 		),
 		'disable' => Array (
-			'label' => 'Disable:',
+			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.disable',
 			'config' => Array (
 				'type' => 'check'
 			)
 		),
 		'disableIPlock' => Array (
-			'label' => 'Disable IP lock for user:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_users.disableIPlock',
 			'config' => Array (
 				'type' => 'check'
 			)
 		),
 		'admin' => Array (
-			'label' => 'Admin(!):',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_users.admin',
 			'config' => Array (
 				'type' => 'check',
 				'default' => '0'
 			)
 		),
 		'options' => Array (
-			'label' => 'Mount from groups:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_users.options',
 			'config' => Array (
 				'type' => 'check',
 				'items' => Array (
-					Array('DB Mounts', 0),
-					Array('File Mounts', 0)
+					Array('LLL:EXT:lang/locallang_tca.xml:be_users.options_db_mounts', 0),
+					Array('LLL:EXT:lang/locallang_tca.xml:be_users.options_file_mounts', 0)
 				),
 				'default' => '3'
 			)
 		),
 		'fileoper_perms' => Array (
-			'label' => 'Fileoperation permissions:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_users.fileoper_perms',
 			'config' => Array (
 				'type' => 'check',
 				'items' => Array (
-					Array('Files: Upload,Copy,Move,Delete,Rename,New,Edit', 0),
-					Array('Files: Unzip', 0),
-					Array('Directory: Move,Delete,Rename,New', 0),
-					Array('Directory: Copy', 0),
-					Array('Directory: Delete recursively (rm -Rf)', 0)
+					Array('LLL:EXT:lang/locallang_tca.xml:be_users.fileoper_perms_general', 0),
+					Array('LLL:EXT:lang/locallang_tca.xml:be_users.fileoper_perms_unzip', 0),
+					Array('LLL:EXT:lang/locallang_tca.xml:be_users.fileoper_perms_diroper_perms', 0),
+					Array('LLL:EXT:lang/locallang_tca.xml:be_users.fileoper_perms_diroper_perms_copy', 0),
+					Array('LLL:EXT:lang/locallang_tca.xml:be_users.fileoper_perms_diroper_perms_delete', 0),
 				),
 				'default' => '7'
 			)
 		),
 		'workspace_perms' => Array (
-			'label' => 'Workspace permissions:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:workspace_perms',
 			'config' => Array (
 				'type' => 'check',
 				'items' => Array (
-					Array('Edit Live (Online)', 0),
-					Array('Edit Draft (Offline)', 0),
-					Array('Create new workspace projects', 0),
+					Array('LLL:EXT:lang/locallang_tca.xml:workspace_perms_live', 0),
+					Array('LLL:EXT:lang/locallang_tca.xml:workspace_perms_live', 0),
+					Array('LLL:EXT:lang/locallang_tca.xml:workspace_perms_custom', 0),
 				),
 				'default' => 3
 			)
 		),
 		'starttime' => Array (
-			'label' => 'Start:',
+			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
 			'config' => Array (
 				'type' => 'input',
 				'size' => '8',
@@ -267,7 +268,7 @@
 			)
 		),
 		'endtime' => Array (
-			'label' => 'Stop:',
+			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
 			'config' => Array (
 				'type' => 'input',
 				'size' => '8',
@@ -281,64 +282,64 @@
 			)
 		),
 		'lang' => Array (
-			'label' => 'Default Language:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_users.lang',
 			'config' => Array (
 				'type' => 'select',
 				'items' => Array (
-					Array('English', ''),
-					Array('Albanian', 'sq'),
-					Array('Arabic', 'ar'),
-					Array('Basque', 'eu'),
-					Array('Bosnian', 'ba'),
-					Array('Brazilian Portuguese', 'br'),
-					Array('Bulgarian', 'bg'),
-					Array('Catalan', 'ca'),
-					Array('Chinese (Simpl.)', 'ch'),
-					Array('Chinese (Trad.)', 'hk'),
-					Array('Croatian', 'hr'),
-					Array('Czech', 'cz'),
-					Array('Danish', 'dk'),
-					Array('Dutch', 'nl'),
-					Array('Esperanto', 'eo'),
-					Array('Estonian', 'et'),
-					Array('Faroese', 'fo'),
-					Array('Finnish', 'fi'),
-					Array('French', 'fr'),
-					Array('Galician', 'ga'),
-					Array('Georgian', 'ge'),
-					Array('German', 'de'),
-					Array('Greek', 'gr'),
-					Array('Greenlandic', 'gl'),
-					Array('Hebrew', 'he'),
-					Array('Hindi', 'hi'),
-					Array('Hungarian', 'hu'),
-					Array('Icelandic', 'is'),
-					Array('Italian', 'it'),
-					Array('Japanese', 'jp'),
-					Array('Korean', 'kr'),
-					Array('Latvian', 'lv'),
-					Array('Lithuanian', 'lt'),
-					Array('Malay', 'my'),
-					Array('Norwegian', 'no'),
-					Array('Persian', 'fa'),
-					Array('Polish', 'pl'),
-					Array('Portuguese', 'pt'),
-					Array('Romanian', 'ro'),
-					Array('Russian', 'ru'),
-					Array('Serbian', 'sr'),
-					Array('Slovak', 'sk'),
-					Array('Slovenian', 'si'),
-					Array('Spanish', 'es'),
-					Array('Swedish', 'se'),
-					Array('Thai', 'th'),
-					Array('Turkish', 'tr'),
-					Array('Ukrainian', 'ua'),
-					Array('Vietnamese', 'vn'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_default', ''),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_sq', 'sq'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_ar', 'ar'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_eu', 'eu'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_ba', 'ba'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_br', 'br'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_bg', 'bg'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_ca', 'ca'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_ch', 'ch'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_hk', 'hk'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_hr', 'hr'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_cz', 'cz'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_dk', 'dk'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_nl', 'nl'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_eo', 'eo'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_et', 'et'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_fo', 'fo'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_fi', 'fi'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_fr', 'fr'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_ga', 'ga'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_ge', 'ge'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_de', 'de'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_gr', 'gr'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_gl', 'gl'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_he', 'he'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_hi', 'hi'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_hu', 'hu'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_is', 'is'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_it', 'it'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_jp', 'jp'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_kr', 'kr'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_lv', 'lv'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_lt', 'lt'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_my', 'my'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_no', 'no'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_fa', 'fa'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_pl', 'pl'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_pt', 'pt'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_ro', 'ro'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_ru', 'ru'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_sr', 'sr'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_sk', 'sk'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_si', 'si'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_es', 'es'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_se', 'se'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_th', 'th'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_tr', 'tr'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_ua', 'ua'),
+					Array('LLL:EXT:setup/mod/locallang.xml:lang_vn', 'vn'),
 				)
 			)
 		),
 		'userMods' => Array (
-			'label' => 'Modules:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:userMods',
 			'config' => Array (
 				'type' => 'select',
 				'special' => 'modListUser',
@@ -350,7 +351,7 @@
 			)
 		),
 		'allowed_languages' => Array (
-			'label' => 'Limit to languages:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:allowed_languages',
 			'config' => Array (
 				'type' => 'select',
 				'special' => 'languages',
@@ -359,7 +360,7 @@
 			)
 		),
 		'TSconfig' => Array (
-			'label' => 'TSconfig:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:TSconfig',
 			'config' => Array (
 				'type' => 'text',
 				'cols' => '40',
@@ -368,7 +369,7 @@
 					'_PADDING' => 4,
 					'0' => Array(
 						'type' => t3lib_extMgm::isLoaded('tsconfig_help')?'popup':'',
-						'title' => 'TSconfig QuickReference',
+						'title' => 'LLL:EXT:lang/locallang_tca.xml:TSconfig_title',
 						'script' => 'wizard_tsconfig.php?mode=beuser',
 						'icon' => 'wizard_tsconfig.gif',
 						'JSopenParams' => 'height=500,width=780,status=0,menubar=0,scrollbars=1',
@@ -382,7 +383,7 @@
 	),
 	'types' => Array (
 		'0' => Array('showitem' => 'username;;;;2-2-2, password, usergroup, lockToDomain, disableIPlock, admin;;;;5-5-5, realName;;;;3-3-3, email, lang, userMods;;;;4-4-4, allowed_languages, workspace_perms, options, db_mountpoints, file_mountpoints, fileoper_perms, --div--, TSconfig;;;;5-5-5'),
-		'1' => Array('showitem' => 'username;;;;2-2-2, password, usergroup, disableIPlock, admin;;;;5-5-5, realName;;;;3-3-3, email, lang, options;;;;4-4-4, allowed_languages;Preview languages:, db_mountpoints, file_mountpoints, fileoper_perms, --div--, TSconfig;;;;5-5-5')
+		'1' => Array('showitem' => 'username;;;;2-2-2, password, usergroup, disableIPlock, admin;;;;5-5-5, realName;;;;3-3-3, email, lang, options;;;;4-4-4, allowed_languages, db_mountpoints, file_mountpoints, fileoper_perms, --div--, TSconfig;;;;5-5-5')
 	),
 	'palettes' => Array (
 		'1' => Array('showitem' => 'disable, starttime, endtime')
@@ -401,7 +402,7 @@
 	),
 	'columns' => Array (
 		'title' => Array (
-			'label' => 'Grouptitle:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_groups.title',
 			'config' => Array (
 				'type' => 'input',
 				'size' => '25',
@@ -410,7 +411,7 @@
 			)
 		),
 		'db_mountpoints' => Array (
-			'label' => 'DB Mounts:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:db_mountpoints',
 			'config' => Array (
 				'type' => 'group',
 				'internal_type' => 'db',
@@ -423,6 +424,7 @@
 		),
 		'file_mountpoints' => Array (
 			'label' => 'File Mounts:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:file_mountpoints',
 			'config' => Array (
 				'type' => 'select',
 				'foreign_table' => 'sys_filemounts',
@@ -437,7 +439,7 @@
 					'_VERTICAL' => 1,
 					'edit' => Array(
 						'type' => 'popup',
-						'title' => 'Edit filemount',
+						'title' => 'LLL:EXT:lang/locallang_tca.xml:file_mountpoints_edit_title',
 						'script' => 'wizard_edit.php',
 						'popup_onlyOpenIfSelected' => 1,
 						'icon' => 'edit2.gif',
@@ -445,7 +447,7 @@
 					),
 					'add' => Array(
 						'type' => 'script',
-						'title' => 'Create new filemount',
+						'title' => 'LLL:EXT:lang/locallang_tca.xml:file_mountpoints_add_title',
 						'icon' => 'add.gif',
 						'params' => Array(
 							'table'=>'sys_filemounts',
@@ -456,7 +458,7 @@
 					),
 					'list' => Array(
 						'type' => 'script',
-						'title' => 'List filemounts',
+						'title' => 'LLL:EXT:lang/locallang_tca.xml:file_mountpoints_list_title',
 						'icon' => 'list.gif',
 						'params' => Array(
 							'table'=>'sys_filemounts',
@@ -468,19 +470,19 @@
 			)
 		),
 		'workspace_perms' => Array (
-			'label' => 'Workspace permissions:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:workspace_perms',
 			'config' => Array (
 				'type' => 'check',
 				'items' => Array (
-					Array('Edit Live (Online)', 0),
-					Array('Edit Draft (Offline)', 0),
-					Array('Create new workspace projects', 0),
+					Array('LLL:EXT:lang/locallang_tca.xml:workspace_perms_live', 0),
+					Array('LLL:EXT:lang/locallang_tca.xml:workspace_perms_live', 0),
+					Array('LLL:EXT:lang/locallang_tca.xml:workspace_perms_custom', 0),
 				),
 				'default' => 0
 			)
 		),
 		'pagetypes_select' => Array (
-			'label' => 'Page types:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_groups.pagetypes_select',
 			'config' => Array (
 				'type' => 'select',
 				'special' => 'pagetypes',
@@ -492,7 +494,7 @@
 			)
 		),
 		'tables_modify' => Array (
-			'label' => 'Tables (modify):',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_groups.tables_modify',
 			'config' => Array (
 				'type' => 'select',
 				'special' => 'tables',
@@ -504,7 +506,7 @@
 			)
 		),
 		'tables_select' => Array (
-			'label' => 'Tables (listing):',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_groups.tables_select',
 			'config' => Array (
 				'type' => 'select',
 				'special' => 'tables',
@@ -516,7 +518,7 @@
 			)
 		),
 		'non_exclude_fields' => Array (
-			'label' => 'Allowed excludefields:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_groups.non_exclude_fields',
 			'config' => Array (
 				'type' => 'select',
 				'special' => 'exclude',
@@ -527,7 +529,7 @@
 			)
 		),
 		'explicit_allowdeny' => Array (
-			'label' => 'Explicitly allow/deny field values:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_groups.explicit_allowdeny',
 			'config' => Array (
 				'type' => 'select',
 				'special' => 'explicitValues',
@@ -536,7 +538,7 @@
 			)
 		),
 		'allowed_languages' => Array (
-			'label' => 'Limit to languages:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:allowed_languages',
 			'config' => Array (
 				'type' => 'select',
 				'special' => 'languages',
@@ -546,6 +548,7 @@
 		),
 		'custom_options' => Array (
 			'label' => 'Custom module options:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_groups.custom_options',
 			'config' => Array (
 				'type' => 'select',
 				'special' => 'custom',
@@ -555,13 +558,14 @@
 		),
 		'hidden' => Array (
 			'label' => 'Disable:',
+			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.disable',
 			'config' => Array (
 				'type' => 'check',
 				'default' => '0'
 			)
 		),
 		'lockToDomain' => Array (
-			'label' => 'Lock to domain:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:lockToDomain',
 			'config' => Array (
 				'type' => 'input',
 				'size' => '20',
@@ -572,7 +576,7 @@
 			)
 		),
 		'groupMods' => Array (
-			'label' => 'Modules:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:userMods',
 			'config' => Array (
 				'type' => 'select',
 				'special' => 'modListGroup',
@@ -584,14 +588,14 @@
 			)
 		),
 		'inc_access_lists' => Array (
-			'label' => 'Include Access Lists:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_groups.inc_access_lists',
 			'config' => Array (
 				'type' => 'check',
 				'default' => '0'
 			)
 		),
 		'description' => Array (
-			'label' => 'Description:',
+			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.description',
 			'config' => Array (
 				'type' => 'text',
 				'rows' => 5,
@@ -599,7 +603,7 @@
 			)
 		),
 		'TSconfig' => Array (
-			'label' => 'TSconfig:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:TSconfig',
 			'config' => Array (
 				'type' => 'text',
 				'cols' => '40',
@@ -608,7 +612,7 @@
 					'_PADDING' => 4,
 					'0' => Array(
 						'type' => t3lib_extMgm::isLoaded('tsconfig_help')?'popup':'',
-						'title' => 'TSconfig QuickReference',
+						'title' => 'LLL:EXT:lang/locallang_tca.xml:TSconfig_title',
 						'script' => 'wizard_tsconfig.php?mode=beuser',
 						'icon' => 'wizard_tsconfig.gif',
 						'JSopenParams' => 'height=500,width=780,status=0,menubar=0,scrollbars=1',
@@ -619,14 +623,14 @@
 			'defaultExtras' => 'fixed-font : enable-tab',
 		),
 		'hide_in_lists' => Array (
-			'label' => 'Hide in lists:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_groups.hide_in_lists',
 			'config' => Array (
 				'type' => 'check',
 				'default' => 0
 			)
 		),
 		'subgroup' => Array (
-			'label' => 'Sub Groups:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:be_groups.subgroup',
 			'config' => Array (
 				'type' => 'select',
 				'foreign_table' => 'be_groups',
@@ -657,7 +661,7 @@
 	),
 	'columns' => Array (
 		'title' => Array (
-			'label' => 'LABEL:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_filemounts.title',
 			'config' => Array (
 				'type' => 'input',
 				'size' => '20',
@@ -666,7 +670,7 @@
 			)
 		),
 		'path' => Array (
-			'label' => 'PATH:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_filemounts.path',
 			'config' => Array (
 				'type' => 'input',
 				'size' => '40',
@@ -676,18 +680,18 @@
 			)
 		),
 		'hidden' => Array (
-			'label' => 'Disable:',
+			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.disable',
 			'config' => Array (
 				'type' => 'check'
 			)
 		),
 		'base' => Array (
-			'label' => 'BASE',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_filemounts.base',
 			'config' => Array (
 				'type' => 'radio',
 				'items' => Array (
-					Array('absolute (root) / ', 0),
-					Array('relative ../fileadmin/', 1)
+					Array('LLL:EXT:lang/locallang_tca.xml:sys_filemounts.base_absolute', 0),
+					Array('LLL:EXT:lang/locallang_tca.xml:sys_filemounts.base_relative', 1)
 				),
 				'default' => 0
 			)
@@ -708,6 +712,7 @@
 	'columns' => Array (
 		'title' => Array (
 			'label' => 'Title:',
+			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.title',
 			'config' => Array (
 				'type' => 'input',
 				'size' => '20',
@@ -717,6 +722,7 @@
 		),
 		'description' => Array (
 			'label' => 'Description:',
+			'label' => 'LLL:EXT:lang/locallang_general.xml:LGL.description',
 			'config' => Array (
 				'type' => 'text',
 				'rows' => 5,
@@ -724,7 +730,7 @@
 			)
 		),
 		'adminusers' => Array (
-			'label' => 'Owners:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_workspace.adminusers',
 			'config' => Array (
 				'type' => 'group',
 				'internal_type' => 'db',
@@ -736,7 +742,7 @@
 			)
 		),
 		'members' => Array (
-			'label' => 'Members:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_workspace.members',
 			'config' => Array (
 				'type' => 'group',
 				'internal_type' => 'db',
@@ -749,7 +755,7 @@
 			)
 		),
 		'reviewers' => Array (
-			'label' => 'Reviewers:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_workspace.reviewers',
 			'config' => Array (
 				'type' => 'group',
 				'internal_type' => 'db',
@@ -762,7 +768,7 @@
 			)
 		),
 		'db_mountpoints' => Array (
-			'label' => 'DB Mounts:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:db_mountpoints',
 			'config' => Array (
 				'type' => 'group',
 				'internal_type' => 'db',
@@ -774,7 +780,7 @@
 			)
 		),
 		'file_mountpoints' => Array (
-			'label' => 'File Mounts:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:file_mountpoints',
 			'config' => Array (
 				'type' => 'select',
 				'foreign_table' => 'sys_filemounts',
@@ -787,7 +793,7 @@
 			)
 		),
 		'publish_time' => Array (
-			'label' => 'Publish:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_workspace.publish_time',
 			'config' => Array (
 				'type' => 'input',
 				'size' => '8',
@@ -798,7 +804,7 @@
 			)
 		),
 		'unpublish_time' => Array (
-			'label' => 'Un-publish:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_workspace.unpublish_time',
 			'config' => Array (
 				'type' => 'input',
 				'size' => '8',
@@ -812,35 +818,35 @@
 			)
 		),
 		'freeze' => Array (
-			'label' => 'Freeze Editing',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_workspace.freeze',
 			'config' => Array (
 				'type' => 'check',
 				'default' => '0'
 			)
 		),
 		'live_edit' => Array (
-			'label' => 'Allow "live" editing of records from tables without versioning',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_workspace.live_edit',
 			'config' => Array (
 				'type' => 'check',
 				'default' => '0'
 			)
 		),
 		'review_stage_edit' => Array (
-			'label' => 'Allow members to edit records in "Review" stage',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_workspace.review_stage_edit',
 			'config' => Array (
 				'type' => 'check',
 				'default' => '0'
 			)
 		),
 		'disable_autocreate' => Array (
-			'label' => 'Disable auto-versioning when editing',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_workspace.disable_autocreate',
 			'config' => Array (
 				'type' => 'check',
 				'default' => '0'
 			)
 		),
 		'swap_modes' => Array (
-			'label' => 'Swap modes',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_workspace.swap_modes',
 			'config' => Array (
 				'type' => 'select',
 				'items' => Array (
@@ -851,7 +857,7 @@
 			)
 		),
 		'vtypes' => Array (
-			'label' => 'Disable Versioning Types for members and reviewers:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_workspace.vtypes',
 			'config' => Array (
 				'type' => 'check',
 				'items' => Array (
@@ -862,7 +868,7 @@
 			)
 		),
 		'publish_access' => Array (
-			'label' => 'Publish access:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_workspace.publish_access',
 			'config' => Array (
 				'type' => 'check',
 				'items' => Array (
@@ -872,7 +878,7 @@
 			)
 		),
 		'stagechg_notification' => Array (
-			'label' => 'Stage change notification by email:',
+			'label' => 'LLL:EXT:lang/locallang_tca.xml:sys_workspace.stagechg_notification',
 			'config' => Array (
 				'type' => 'select',
 				'items' => Array (
 				
Index: /typo3/sysext/lang/locallang_tca.xml
===================================================================
--- /typo3/sysext/lang/locallang_tca.xml	(revision 2822)
+++ /typo3/sysext/lang/locallang_tca.xml	(working copy)
@@ -6,6 +6,67 @@
 	</meta>
 	<data type="array">
 		<languageKey index="default" type="array">
+			<label index="file_mountpoints">File Mounts:</label>
+			<label index="file_mountpoints_edit_title">Edit filemount</label>
+			<label index="file_mountpoints_add_title">Create new filemount</label>
+			<label index="file_mountpoints_list_title">List filemounts</label>
+			<label index="db_mountpoints">DB Mounts:</label>
+			<label index="userMods">Modules:</label>
+			<label index="allowed_languages">Limit to languages:</label>
+			<label index="workspace_perms">Workspace permissions:</label>
+			<label index="workspace_perms_live">Edit Live (Online)</label>
+			<label index="workspace_perms_draft">Edit Draft (Offline)</label>
+			<label index="workspace_perms_custom">Create new workspace projects</label>
+			<label index="TSconfig">TSconfig:</label>
+			<label index="TSconfig_title">TSconfig QuickReference</label>
+			<label index="lockToDomain">Lock to domain:</label>
+			<label index="be_users.username">Username:</label>
+			<label index="be_users.password">Password:</label>
+			<label index="be_users.usergroup">Group:</label>
+			<label index="be_users.usergroup_edit_title">Edit usergroup</label>
+			<label index="be_users.usergroup_add_title">Create new group</label>
+			<label index="be_users.usergroup_list_title">List groups</label>
+			<label index="be_users.disableIPlock">Disable IP lock for user:</label>
+			<label index="be_users.admin">Admin(!):</label>
+			<label index="be_users.options">Mount from groups:</label>
+			<label index="be_users.options_db_mounts">DB Mounts</label>
+			<label index="be_users.options_file_mounts">File Mounts</label>
+			<label index="be_users.fileoper_perms">Fileoperation permissions:</label>
+			<label index="be_users.fileoper_perms_general">Files: Upload,Copy,Move,Delete,Rename,New,Edit</label>
+			<label index="be_users.fileoper_perms_unzip">Files: Unzip</label>
+			<label index="be_users.fileoper_perms_diroper_perms">Directory: Move,Delete,Rename,New</label>
+			<label index="be_users.fileoper_perms_diroper_perms_copy">Directory: Copy</label>
+			<label index="be_users.fileoper_perms_diroper_perms_delete">Directory: Delete recursively (rm -Rf)</label>
+			<label index="be_users.lang">Default Language:</label>
+			<label index="be_groups.title">Grouptitle:</label>
+			<label index="be_groups.pagetypes_select">Page types:</label>
+			<label index="be_groups.pagetypes_select">Page types:</label>
+			<label index="be_groups.tables_modify">Tables (modify):</label>
+			<label index="be_groups.tables_select">Tables (listing):</label>
+			<label index="be_groups.non_exclude_fields">Allowed excludefields:</label>
+			<label index="be_groups.explicit_allowdeny">Explicitly allow/deny field values:</label>
+			<label index="be_groups.custom_options">Custom module options:</label>
+			<label index="be_groups.inc_access_lists">Include Access Lists:</label>
+			<label index="be_groups.hide_in_lists">Hide in lists:</label>
+			<label index="be_groups.subgroup">Sub Groups:</label>
+			<label index="sys_filemounts.title">Label:</label>
+			<label index="sys_filemounts.path">Path:</label>
+			<label index="sys_filemounts.base">Base:</label>
+			<label index="sys_filemounts.base_absolute">absolute (root) / </label>
+			<label index="sys_filemounts.base_relative">relative ../fileadmin/</label>
+			<label index="sys_workspace.adminusers">Owners:</label>
+			<label index="sys_workspace.members">Members:</label>
+			<label index="sys_workspace.reviewers">Reviewers:</label>
+			<label index="sys_workspace.publish_time">Publish:</label>
+			<label index="sys_workspace.unpublish_time">Un-Publish:</label>
+			<label index="sys_workspace.freeze">Freeze Editing</label>
+			<label index="sys_workspace.live_edit">Allow "live" editing of records from tables without versioning</label>
+			<label index="sys_workspace.review_stage_edit">Allow members to edit records in "Review" stage</label>
+			<label index="sys_workspace.disable_autocreate">Disable auto-versioning when editing</label>
+			<label index="sys_workspace.swap_modes">Swap modes</label>
+			<label index="sys_workspace.vtypes">Disable Versioning Types for members and reviewers:</label>
+			<label index="sys_workspace.publish_access">Publish access:</label>
+			<label index="sys_workspace.stagechg_notification">Stage change notification by email:</label>
 			<label index="pages">Page</label>
 			<label index="doktype.I.0">Standard</label>
 			<label index="doktype.I.1">SysFolder</label>
 				